yast2-ncurses: NCAskForFile Class Reference

Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members

# NCAskForFile Class Reference

`#include <NCAskForFile.h>`

Inheritance diagram for NCAskForFile:

List of all members.

## Public Member Functions
| NCAskForFile (const wpos at, const YCPString &startDir, const YCPString &filter, const YCPString &headline)
virtual | ~NCAskForFile ()=0
virtual long | nicesize (YUIDimension dim)
void | createLayout (const YCPString &iniDir, const YCPString &filter, const YCPString &headline, bool editable)
NCursesEvent & | showDirPopup ()
void | updateFileList ()
## Protected Member Functions
virtual bool | postAgain ()
virtual NCursesEvent | wHandleInput (wint_t ch)
virtual string | getFileName ()=0
string | checkIniDir (string startDir)
## Protected Attributes
NCFileTable * | fileList
NCTextEntry * | fileName
## Private Member Functions
NCAskForFile & | operator= (const NCAskForFile &)
| NCAskForFile (const NCAskForFile &)
bool | getCheckBoxValue (NCCheckBox *detailed)
## Private Attributes
NCPushButton * | okButton
NCPushButton * | cancelButton
NCComboBox * | dirName
NCDirectoryTable * | dirList
NCCheckBox * | detailed
string | iniFileName

## Constructor & Destructor Documentation

NCAskForFile::NCAskForFile | ( | const NCAskForFile & |  | ) | `[private]`

NCAskForFile::NCAskForFile | ( | const wpos | at,
|  | const YCPString & | startDir,
|  | const YCPString & | filter,
|  | const YCPString & | headline
| ) |

NCAskForFile::~NCAskForFile | ( |  | ) | `[pure virtual]`

## Member Function Documentation

string NCAskForFile::checkIniDir | ( | string | startDir | ) | `[protected]`

void NCAskForFile::createLayout | ( | const YCPString & | iniDir,
|  | const YCPString & | filter,
|  | const YCPString & | headline,
|  | bool | editable
| ) |

  | Create layout of file selection popup Parameters:
  | YCPString | The initial start directory
  | YCPString | The filter (show files matching this pattern)
  | YCPString | The headline of the popup
  | bool | File name field editable?
Returns: void

bool NCAskForFile::getCheckBoxValue | ( | NCCheckBox * | detailed | ) | `[private]`

virtual string NCAskForFile::getFileName | ( |  | ) | `[protected, pure virtual]`

| Implemented in NCAskForExistingFile, and NCAskForSaveFileName.

long NCAskForFile::nicesize | ( | YUIDimension | dim | ) | `[virtual]`

| Set the default size Reimplemented from NCDialog.

NCAskForFile& NCAskForFile::operator= | ( | const NCAskForFile & |  | ) | `[private]`

| Reimplemented in NCAskForExistingFile, and NCAskForSaveFileName.

bool NCAskForFile::postAgain | ( |  | ) | `[protected, virtual]`

| Reimplemented from NCPopup.

NCursesEvent & NCAskForFile::showDirPopup | ( |  | ) |

| Shows the popup with the list of directories. Returns: NCursesEvent

void NCAskForFile::updateFileList | ( |  | ) |

| Show new file information Returns: void

NCursesEvent NCAskForFile::wHandleInput | ( | wint_t | ch | ) | `[protected, virtual]`

| Reimplemented from NCPopup.

## Member Data Documentation

NCPushButton* NCAskForFile::cancelButton`[private]`

NCCheckBox* NCAskForFile::detailed`[private]`

NCDirectoryTable* NCAskForFile::dirList`[private]`

NCComboBox* NCAskForFile::dirName`[private]`

NCFileTable* NCAskForFile::fileList`[protected]`

NCTextEntry* NCAskForFile::fileName`[protected]`

string NCAskForFile::iniFileName`[private]`

NCPushButton* NCAskForFile::okButton`[private]`

The documentation for this class was generated from the following files:

- NCAskForFile.h
- NCAskForFile.cc